import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { coaType, balanceType } from '../../helper/enum-list';

@Entity()
export class COA extends BaseModel {
  @Column()
  name: string;

  @Column('text')
  type: coaType;

  @Column('text')
  balanceType: balanceType;

  @Column()
  amount: number;

  @Column({
    type: 'uuid',
    nullable: true,
  })
  user: string;

  @Column({
    type: 'uuid',
    nullable: true,
  })
  relatedUser: string;

  @Column({
    type: 'uuid',
    nullable: true,
  })
  supplier: string;
}
